{% extends 'base.html.twig' %}

{% block title %}Hello ListController!{% endblock %}

{% block body %}
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="mb-0"> الملفات العائلية</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item"><a href="javascript: void(0);">الصفحة الرئيسية</a></li>
                        <li class="breadcrumb-item active"> الملفات العائلية</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-xl-12">
            <div class="card">
                <div class="card-body">
                    <ul class="nav nav-tabs nav-justified" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" data-toggle="tab" href="#navtabs2-home" role="tab">
                                <span class="d-block d-sm-none"><i class="fas fa-home"></i></span>
                                <span class="d-none d-sm-block">  الملفات العائلية</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-profile" role="tab">
                                <span class="d-block d-sm-none"><i class="far fa-user"></i></span>
                                <span class="d-none d-sm-block">الملفات المكفولة</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-messages" role="tab">
                                <span class="d-block d-sm-none"><i class="far fa-envelope"></i></span>
                                <span class="d-none d-sm-block">الملفات الموسمية</span>
                            </a>
                        </li>
                        {#<li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-v" role="tab">
                                <span class="d-block d-sm-none"><i class="far fa-envelope"></i></span>
                                <span class="d-none d-sm-block">الاغطية</span>
                            </a>
                        </li>#}
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-g" role="tab">
                                <span class="d-block d-sm-none"><i class="far fa-envelope"></i></span>
                                <span class="d-none d-sm-block">كسوة العيد</span>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" data-toggle="tab" href="#navtabs2-h" role="tab">
                                <span class="d-block d-sm-none"><i class="far fa-envelope"></i></span>
                                <span class="d-none d-sm-block">التلاميد المتمدرسون</span>
                            </a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                    <div class="tab-content p-3 text-muted">
                        <div class="tab-pane active" id="navtabs2-home" role="tabpanel">
                            <div class="card-body">
                                <h4 class="card-title"></h4>
                                <table id=""
                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>
                                        {# <th>Id</th> #}
                                        <th>التاريخ</th>
                                        <th>رقم الملف</th>
                                        <th>الاسم العائلي للأيتام</th>
                                        <th>المنطقة</th>
                                        <th>الجماعة</th>
                                        <th>العنوان</th>
                                        <th>الهاتف 1</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for dossier in dossierIsValid %}
                                        <tr>
                                            {# <td>{{ dossier.id }}</td> #}
                                            <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                            <td>{{ dossier.id }}</td>
                                            <td>{{ dossier.familleNom }}</td>
                                            <td>{{ dossier.region }}</td>
                                            <td>{{ dossier.commune }}</td>
                                            <td>{{ dossier.adresse }}</td>
                                            <td>{{ dossier.tel1 }}</td>
                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="10">no records found</td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="tab-pane" id="navtabs2-profile" role="tabpanel">
                            <div class="card-body">
                                <h4 class="card-title"></h4>
                                <table id=""
                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>
                                        {# <th>Id</th> #}
                                        <th>التاريخ</th>
                                        <th>رقم الملف</th>
                                        <th>الاسم العائلي للأيتام</th>
                                        <th>المنطقة</th>
                                        <th>الجماعة</th>
                                        <th>العنوان</th>
                                        <th>الهاتف 1</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for dossier in dossierNoValid %}
                                        <tr>
                                            {# <td>{{ dossier.id }}</td> #}
                                            <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                            <td>{{ dossier.id }}</td>
                                            <td>{{ dossier.familleNom }}</td>
                                            <td>{{ dossier.region }}</td>
                                            <td>{{ dossier.commune }}</td>
                                            <td>{{ dossier.adresse }}</td>
                                            <td>{{ dossier.tel1 }}</td>


                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="10">no records found</td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="tab-pane" id="navtabs2-messages" role="tabpanel">
                            <div class="card-body">
                                <h4 class="card-title"></h4>
                                <table id=""
                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>
                                        {# <th>Id</th> #}
                                        <th>التاريخ</th>
                                        <th>رقم الملف</th>
                                        <th>الاسم العائلي للأيتام</th>
                                        <th>المنطقة</th>
                                        <th>الجماعة</th>
                                        <th>العنوان</th>
                                        <th>الهاتف 1</th>

                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for dossier in dossierIsValid %}
                                        <tr>
                                            {# <td>{{ dossier.id }}</td> #}
                                            <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                            <td>{{ dossier.id }}</td>
                                            <td>{{ dossier.familleNom }}</td>
                                            <td>{{ dossier.region }}</td>
                                            <td>{{ dossier.commune }}</td>
                                            <td>{{ dossier.adresse }}</td>
                                            <td>{{ dossier.tel1 }}</td>


                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="10">no records found</td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                       {# <div class="tab-pane" id="navtabs2-v" role="tabpanel">
                            <div class="card-body">
                                <h4 class="card-title"></h4>
                                <table id=""
                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                    <tr>

                                        <th>التاريخ</th>
                                        <th>رقم الملف</th>
                                        <th>الاسم العائلي للأيتام</th>
                                        <th>المنطقة</th>
                                        <th>الجماعة</th>
                                        <th>العنوان</th>
                                        <th>الهاتف 1</th>

                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for dossier in dossierIsValid %}
                                        <tr>
                                            <td>{{ dossier.date ? dossier.date|date('Y-m-d') : '' }}</td>
                                            <td>{{ dossier.id }}</td>
                                            <td>{{ dossier.familleNom }}</td>
                                            <td>{{ dossier.region }}</td>
                                            <td>{{ dossier.commune }}</td>
                                            <td>{{ dossier.adresse }}</td>
                                            <td>{{ dossier.tel1 }}</td>


                                        </tr>
                                    {% else %}
                                        <tr>
                                            <td colspan="10">no records found</td>
                                        </tr>
                                    {% endfor %}
                                    </tbody>
                                </table>
                            </div>
                        </div>#}
                        <div class="tab-pane" id="navtabs2-g" role="tabpanel">
                            <div class="card-body">

                                <div class="row">
                                    <div class="col-md-3 col-sm-12 col-xs-12">
                                        <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist"
                                             aria-orientation="vertical">
                                            <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill"
                                               href="#v-pills-home" role="tab" aria-controls="v-pills-home"
                                               aria-selected="true">مجموع الايتام ( {{ totalAidValid }})</a>
                                            <a class="nav-link" id="v-pills-profile-tab" data-toggle="pill"
                                               href="#v-pills-profile" role="tab" aria-controls="v-pills-profile"
                                               aria-selected="false">الايتام الذكور({{ totalAidValidBoys }}) </a>
                                            <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill"
                                               href="#v-pills-messages" role="tab" aria-controls="v-pills-messages"
                                               aria-selected="false">)الايتام الإناث ({{ totalAidValidGirls }}</a>

                                        </div>
                                    </div>
                                    <div class="col-md-9 col-sm-12 col-xs-12">
                                        <div class="tab-content" id="v-pills-tabContent">
                                            <div class="tab-pane fade show active" id="v-pills-home" role="tabpanel"
                                                 aria-labelledby="v-pills-home-tab">
                                                <table id=""
                                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        {# <th>Id</th> #}

                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>
                                                        <th>حجم اللباس</th>
                                                        <th>حجم اللباس</th>


                                                    </tr>
                                                    </thead>
                                                    <tbody>


                                                    {% for orp in AidValidValid %}
                                                        <tr>

                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>
                                                            <td>{{ orp.sizeVetement }}</td>
                                                            <td>{{ orp.typeVetement }}</td>

                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}

                                                    </tbody>
                                                </table>

                                            </div>
                                            <div class="tab-pane fade" id="v-pills-profile" role="tabpanel"
                                                 aria-labelledby="v-pills-profile-tab">
                                                <table id=""
                                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        {# <th>Id</th> #}

                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>


                                                    </tr>
                                                    </thead>
                                                    <tbody>


                                                    {% for orp in AidValidValidBoys %}
                                                        <tr>

                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>

                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}

                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="tab-pane fade" id="v-pills-messages" role="tabpanel"
                                                 aria-labelledby="v-pills-messages-tab">
                                                <table id=""
                                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>


                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    {% for orp in AidValidValidGirls %}
                                                        <tr>

                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>

                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                        <div class="tab-pane" id="navtabs2-h" role="tabpanel">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-4 col-sm-12 col-xs-12">
                                        <div class="list-group" id="list-tab" role="tablist">
                                            <a class="list-group-item list-group-item-action active" id="list-home-list"
                                               data-toggle="list" href="#list-home" role="tab" aria-controls="home">
                                                جميع التلاميذ ({{ totalScolaireValid }})</a>
                                            <a class="list-group-item list-group-item-action" id="list-profile-list"
                                               data-toggle="list" href="#list-profile" role="tab"
                                               aria-controls="profile"> الذكور ({{ totalScolaireValidBoys }} )</a>
                                            <a class="list-group-item list-group-item-action" id="list-messages-list"
                                               data-toggle="list" href="#list-messages" role="tab"
                                               aria-controls="messages"> الإنات ({{ totalScolaireValidGirls }})</a>

                                        </div>
                                    </div>
                                    <div class="col-md-8 col-sm-12 col-xs-12">
                                        <div class="tab-content" id="nav-tabContent">
                                            <div class="tab-pane fade show active" id="list-home" role="tabpanel"
                                                 aria-labelledby="list-home-list">
                                                <table id=""
                                                       class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>

                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>الاسم العائلي</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>
                                                        <th>المساعدة</th>
                                                        <th>الوضعيات</th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    {% for orp in ScolaireValid %}
                                                        <tr id="{{'dossier'~orp.dossier.id}}">
                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.dossier.familleNom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>
                                                            <td>
                                                                <select name="socialAide_id" class="form-control select2" id="select-{{ loop.index }}" style="width: 100%">
                                                                    {% for s in socialAides %}
                                                                        <option value="{{ s.id}}">{{ s.nom}}</option>
                                                                    {% endfor %}
                                                                </select>

                                                            </td>

                                                            <td>
                                                                <button type="button" name="create" value="{{random()}}"
                                                                        data-dossier-id="{{orp.dossier.id}}" data-select-id="#select-{{ loop.index }}"
                                                                        class="btn btn-success btn-soft-info waves-effect waves-light btn-s">
                                                                    الاستفادة من المساعدة
                                                                </button>

                                                            </td>

                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}

                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="tab-pane fade" id="list-profile" role="tabpanel"
                                                 aria-labelledby="list-profile-list">
                                                <table class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        {# <th>Id</th> #}

                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>

                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    {% for orp in ScolaireValidBoys %}
                                                        <tr>
                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>
                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}
                                                    </tbody>
                                                </table>
                                            </div>
                                            <div class="tab-pane fade" id="list-messages" role="tabpanel"
                                                 aria-labelledby="list-messages-list">
                                                <table class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                                       style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                                    <thead>
                                                    <tr>
                                                        {# <th>Id</th> #}

                                                        <th>رقم الملف</th>
                                                        <th>اسم اليتيم</th>
                                                        <th>المستوى الدراسي</th>
                                                        <th>الجنس</th>


                                                    </tr>
                                                    </thead>
                                                    <tbody>


                                                    {% for orp in ScolaireValid %}
                                                        <tr>

                                                            <td>{{ orp.dossier.id }}</td>
                                                            <td>{{ orp.nom }}</td>
                                                            <td>{{ orp.scolaire }}</td>
                                                            <td>{{ orp.sexe }}</td>

                                                        </tr>
                                                    {% else %}
                                                        <tr>
                                                            <td colspan="10">no records found</td>
                                                        </tr>
                                                    {% endfor %}

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <!-- Nav tabs -->


                                <!-- Tab panes -->
                                <div class="tab-content p-3 text-muted">
                                    <div class="tab-pane active" id="navpills2-home" role="tabpanel">

                                    </div>
                                    <div class="tab-pane" id="navpills2-profile" role="tabpanel">

                                    </div>
                                    <div class="tab-pane" id="navpills2-messages" role="tabpanel">
                                        <table class="table table-striped table-bordered dt-responsive nowrap datatable-buttons"
                                               style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                            <thead>
                                            <tr>
                                                <th>رقم الملف</th>
                                                <th>اسم اليتيم</th>
                                                <th>المستوى الدراسي</th>
                                                <th>الجنس</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            {% for orp in ScolaireValidGirls %}
                                                <tr>

                                                    <td>{{ orp.dossier.id }}</td>
                                                    <td>{{ orp.nom }}</td>
                                                    <td>{{ orp.scolaire }}</td>
                                                    <td>{{ orp.sexe }}</td>
                                                </tr>
                                            {% else %}
                                                <tr>
                                                    <td colspan="10">no records found</td>
                                                </tr>
                                            {% endfor %}

                                            </tbody>
                                        </table>
                                    </div>

                                </div>


                            </div>
                        </div>

                    </div>

                </div>
            </div>
        </div>


    </div>





    <script>
        $(function () {
            $(".btn-s").click(function () {

                var formData = {
                    'dossier_id': -1,
                    'socialAide_id': -1,
                };
                formData.dossier_id = parseFloat($(this).attr('data-dossier-id'));

                formData.socialAide_id =$($(this).attr('data-select-id')).val();
                console.log(formData);
                $.ajax({
                    url: "{{ path('dossier_new_aidSocial_ajax') }}",
                    dataType: "JSON",
                    data: formData,
                    success: function (data) {
                        console.log(data);
                        $("#dossier" + formData.dossier_id).hide('slow');
                    },
                    error: function (err) {
                        console.log("error");

                    }
                });

            });
        });
    </script>

{% endblock %}
